import { type RequestSenderInterface } from './RequestSenderInterface.js';
export declare class HttpRequestSender implements RequestSenderInterface {
    /**
     * Sends a HTTP request to a given URL.
     *
     * @param {string} url - The endpoint URL
     * @param {RequestInit} options - The request options (method, headers, body, etc.)
     * @returns {Promise<Response>} - A promise that resolves to the response
     */
    send(url: string, options?: RequestInit): Promise<Response>;
}
